Package org.eclipse.birt.report.model.api.metadata

# Interface ILocalizableInfo

All Known Subinterfaces:
  `IClassInfo`, `IMemberInfo`, `IMethodInfo`, `ITemplateMethodInfo`

All Known Implementing Classes:
  `ClassInfo`, `ClassInfo`, `ConstructorInfo`, `MemberInfo`, `MemberInfo`, `MethodInfo`, `MethodInfo`, `TemplateMethodInfo`

public interface ILocalizableInfo
Represents the abstract definition which can be localized. This definition includes name, display name ID and tool tip ID.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name if the resource key of display name is available.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`String`
`getName()`
Returns the definition name.
`String`
`getToolTip()`
Returns the tool tip if the resource key of tool tip is available.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.

## Method Details

### getDisplayNameKey

String getDisplayNameKey()
Returns the resource key for display name.

Returns:
  the resource key for display name

### getName

String getName()
Returns the definition name.

Returns:
  the name of this definition

### getToolTipKey

String getToolTipKey()
Returns the resource key for tool tip.

Returns:
  the resource key for tool tip

### getDisplayName

String getDisplayName()
Returns the display name if the resource key of display name is available. Otherwise, return empty string.

Returns:
  the display name

### getToolTip

String getToolTip()
Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

Returns:
  the tool tip